package cn.com.origin.autocode.jfom.util;

import java.util.ArrayList;
import java.util.List;

public class JFomBean {
	
	private String itemType ;
	private Boolean isHaveUnit = false;
	
	//private List<String> relPropList = new ArrayList<String>();		//真实属性汇总
	private List<String> disPropList = new ArrayList<String>();		//显示名称汇总
	private List<String> itemRelPropList = new ArrayList<String>();	//对象真实属性
	//private List<String> itemDisPropList = new ArrayList<String>();	//对象显示名称
	private List<String> revRelPropList = new ArrayList<String>();	//版本真实属性
	//private List<String> revDisPropList = new ArrayList<String>();	//版本显示属性
	private List<String> formRelPropList = new ArrayList<String>();	//表单真实属性
	//private List<String> formDisPropList = new ArrayList<String>();	//表单显示属性
	private List<String> lovPropName = new ArrayList<String>();//属性是否关联的LOV的名字
	
	private List<String> propType = new ArrayList<String>();    //属性的类型
	
	private List<String> propIsMust = new ArrayList<String>();    //属性是否必要
	
	private List<String> defaultValue = new ArrayList<>(); //默认属性
	
	
	
	
	public List<String> getDefaultValue() {
		return defaultValue;
	}
	public void setDefaultValue(List<String> defaultValue) {
		this.defaultValue = defaultValue;
	}
	public List<String> getPropIsMust() {
		return propIsMust;
	}
	public void setPropIsMust(List<String> propIsMust) {
		this.propIsMust = propIsMust;
	}
	public List<String> getPropType() {
		return propType;
	}
	public void setPropType(List<String> propType) {
		this.propType = propType;
	}
	public List<String> getLovPropName() {
		return lovPropName;
	}
	public void setLovPropName(List<String> lovPropName) {
		this.lovPropName = lovPropName;
	}
	public String getItemType() {
		return itemType;
	}
	public List<String> getDisPropList() {
		return disPropList;
	}
	public void setDisPropList(List<String> disPropList) {
		this.disPropList = disPropList;
	}
	public void setItemType(String itemType) {
		this.itemType = itemType;
	}
	public Boolean getIsHaveUnit() {
		return isHaveUnit;
	}
	public void setIsHaveUnit(Boolean isHaveUnit) {
		this.isHaveUnit = isHaveUnit;
	}
	
	
	public List<String> getItemRelPropList() {
		return itemRelPropList;
	}
	public void setItemRelPropList(List<String> itemRelPropList) {
		this.itemRelPropList = itemRelPropList;
	}
//	public List<String> getItemDisPropList() {
//		return itemDisPropList;
//	}
//	public void setItemDisPropList(List<String> itemDisPropList) {
//		this.itemDisPropList = itemDisPropList;
//	}
	public List<String> getRevRelPropList() {
		return revRelPropList;
	}
	public void setRevRelPropList(List<String> revRelPropList) {
		this.revRelPropList = revRelPropList;
	}
//	public List<String> getRevDisPropList() {
//		return revDisPropList;
//	}
//	public void setRevDisPropList(List<String> revDisPropList) {
//		this.revDisPropList = revDisPropList;
//	}
	public List<String> getFormRelPropList() {
		return formRelPropList;
	}
	public void setFormRelPropList(List<String> formRelPropList) {
		this.formRelPropList = formRelPropList;
	}
//	public List<String> getFormDisPropList() {
//		return formDisPropList;
//	}
//	public void setFormDisPropList(List<String> formDisPropList) {
//		this.formDisPropList = formDisPropList;
//	}
	
	
	

}
